{ config, lib, pkgs, ... }:

let
  cfg = config.samfelag.modules.editors.vim;
in
{
  options.samfelag.modules.editors.vim = {
    enable = lib.mkEnableOption "vim";
  };
  config = lib.mkIf cfg.enable {
    environment.systemPackages = with pkgs; [
      vim
    ];
  };
}
